Subject: Re: [PATCH v5 3/7] change `git_config()` return value to void

From: Matthieu Moy <[email-masked]>
Date: Thu, 31 Jul 2014 13:58:01 +0200

Tanay Abhra <[email-masked]> writes:

> On 7/31/2014 4:52 PM, Matthieu Moy wrote:
>> Tanay Abhra <[email-masked]> writes:
>> 
>>> Signed-off-by: Tanay Abhra <[email-masked]>
>> 
>> I think I deserve a bit of credit here ;-).
>>
>
> Yes, but to show credit would I have to write "from you" or
> "signed-off-by"? :)

Original-patch-by: would be fine.

>> My bad, but this should be die(_("..."));, so that the message can be
>> translated. Not really serious since it's not really meant to be seen by
>> the user, though.
>>
>
> Noted. Though there are not many cases till I have read where error messages are marked
> for translation.

Yes, see my other message.

Overall, there are still many untranslated messages in Git's codebase:

$ git grep 'die(_("' | wc -l
517
$ git grep 'die("' | wc -l 
1247

Part of the reason is that die() was written and used far before the
translation effort has started.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/